Manifest-Version: 1.0
Bnd-LastModified: 1763061142840
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Commerce Product Definitions Web
Bundle-SymbolicName: com.liferay.commerce.product.definitions.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 7.0.114.hotfix-7050-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.account.model;version="5.5",com.liferay.account.service;version="1
 0.2",com.liferay.application.list;version="7.0",com.liferay.asset.ker
 nel.exception;version="3.0",com.liferay.asset.kernel.model;version="1
 0.0",com.liferay.commerce.account.item.selector.criterion;version="1.
 2",com.liferay.commerce.constants;version="15.0",com.liferay.commerce
 .context;version="12.0",com.liferay.commerce.currency.model;version="
 7.0",com.liferay.commerce.currency.service;version="6.1",com.liferay.
 commerce.currency.util;version="2.0",com.liferay.commerce.exception;v
 ersion="6.4",com.liferay.commerce.frontend.model;version="10.0",com.l
 iferay.commerce.frontend.util;version="3.0",com.liferay.commerce.inve
 ntory;version="4.0",com.liferay.commerce.inventory.engine;version="5.
 0",com.liferay.commerce.inventory.model;version="10.0",com.liferay.co
 mmerce.media;version="3.0",com.liferay.commerce.model;version="17.1",
 com.liferay.commerce.price;version="7.0",com.liferay.commerce.price.l
 ist.model;version="8.0",com.liferay.commerce.price.list.service;versi
 on="14.0",com.liferay.commerce.pricing.configuration;version="1.0",co
 m.liferay.commerce.pricing.exception;version="2.0",com.liferay.commer
 ce.product.configuration;version="5.2",com.liferay.commerce.product.c
 onstants;version="12.5",com.liferay.commerce.product.display.context;
 version="3.0",com.liferay.commerce.product.display.context.helper;ver
 sion="1.0",com.liferay.commerce.product.exception;version="12.6",com.
 liferay.commerce.product.item.selector.criterion;version="1.2",com.li
 feray.commerce.product.model;version="22.1",com.liferay.commerce.prod
 uct.option;version="4.0",com.liferay.commerce.product.permission;vers
 ion="1.0",com.liferay.commerce.product.portlet.action;version="1.0",c
 om.liferay.commerce.product.service;version="38.2",com.liferay.commer
 ce.product.servlet.taglib.ui.constants;version="1.3",com.liferay.comm
 erce.product.type;version="3.0",com.liferay.commerce.product.type.vir
 tual.constants;version="1.1",com.liferay.commerce.product.url;version
 ="1.0",com.liferay.commerce.product.util;version="23.0",com.liferay.c
 ommerce.product.util.comparator;version="2.2",com.liferay.commerce.se
 rvice;version="34.0",com.liferay.commerce.stock.activity;version="3.0
 ",com.liferay.commerce.util;version="10.0",com.liferay.commerce.util.
 comparator;version="6.0",com.liferay.document.library.display.context
 ;version="9.2",com.liferay.document.library.kernel.exception;version=
 "4.2",com.liferay.dynamic.data.mapping.data.provider;version="5.0",co
 m.liferay.dynamic.data.mapping.form.field.type;version="3.0",com.life
 ray.expando.kernel.model;version="6.0",com.liferay.exportimport.kerne
 l.lar;version="5.0",com.liferay.friendly.url.exception;version="1.0",
 com.liferay.frontend.data.set.filter;version="7.0",com.liferay.fronte
 nd.data.set.model;version="2.1",com.liferay.frontend.data.set.provide
 r;version="1.0",com.liferay.frontend.data.set.provider.search;version
 ="1.0",com.liferay.frontend.data.set.view;version="3.1",com.liferay.f
 rontend.data.set.view.table;version="9.0",com.liferay.frontend.js.loa
 der.modules.extender.npm;version="7.0",com.liferay.frontend.taglib.cl
 ay.servlet.taglib.util;version="4.6",com.liferay.frontend.taglib.serv
 let.taglib;version="8.3",com.liferay.frontend.taglib.servlet.taglib.u
 til;version="2.0",com.liferay.headless.commerce.admin.catalog.dto.v1_
 0;version="17.2",com.liferay.headless.commerce.delivery.catalog.dto.v
 1_0;version="5.10",com.liferay.headless.commerce.delivery.catalog.dto
 .v1_0.converter;version="1.0",com.liferay.item.selector;version="4.10
 ",com.liferay.item.selector.criteria;version="2.4",com.liferay.item.s
 elector.criteria.file.criterion;version="1.2",com.liferay.item.select
 or.criteria.image.criterion;version="1.1",com.liferay.layout.item.sel
 ector.criterion;version="2.0",com.liferay.layout.page.template.model;
 version="7.0",com.liferay.layout.page.template.service;version="6.1",
 com.liferay.osgi.util.service;version="3.1",com.liferay.petra.functio
 n;version="1.5",com.liferay.petra.function.transform;version="1.3",co
 m.liferay.petra.sql.dsl.query;version="2.0",com.liferay.petra.string;
 version="1.7",com.liferay.portal.configuration.metatype.annotations;v
 ersion="1.8",com.liferay.portal.configuration.metatype.bnd.util;versi
 on="3.0",com.liferay.portal.kernel.annotation;version="7.0",com.lifer
 ay.portal.kernel.application.type;version="1.0",com.liferay.portal.ke
 rnel.bean;version="10.1",com.liferay.portal.kernel.dao.orm;version="1
 2.0",com.liferay.portal.kernel.exception;version="13.3",com.liferay.p
 ortal.kernel.feature.flag;version="1.0",com.liferay.portal.kernel.jso
 n;version="12.1",com.liferay.portal.kernel.language;version="11.0",co
 m.liferay.portal.kernel.log;version="8.0",com.liferay.portal.kernel.m
 odel;version="30.4",com.liferay.portal.kernel.model.portlet;version="
 2.0",com.liferay.portal.kernel.module.configuration;version="2.1",com
 .liferay.portal.kernel.notifications;version="11.1",com.liferay.porta
 l.kernel.plugin;version="7.0",com.liferay.portal.kernel.pop;version="
 7.0",com.liferay.portal.kernel.portlet;version="26.0",com.liferay.por
 tal.kernel.portlet.bridges.mvc;version="6.1",com.liferay.portal.kerne
 l.portlet.bridges.mvc.constants;version="1.0",com.liferay.portal.kern
 el.portlet.url.builder;version="2.0",com.liferay.portal.kernel.reposi
 tory.model;version="11.2",com.liferay.portal.kernel.resource.bundle;v
 ersion="1.0",com.liferay.portal.kernel.scheduler;version="18.1",com.l
 iferay.portal.kernel.search;version="20.2",com.liferay.portal.kernel.
 security.auth;version="6.1",com.liferay.portal.kernel.security.permis
 sion;version="7.0",com.liferay.portal.kernel.security.permission.prop
 agator;version="1.0",com.liferay.portal.kernel.security.permission.re
 source;version="2.3",com.liferay.portal.kernel.service;version="25.1"
 ,com.liferay.portal.kernel.service.permission;version="5.0",com.lifer
 ay.portal.kernel.servlet;version="12.1",com.liferay.portal.kernel.set
 tings;version="5.0",com.liferay.portal.kernel.template;version="15.0"
 ,com.liferay.portal.kernel.theme;version="10.5",com.liferay.portal.ke
 rnel.transaction;version="8.1",com.liferay.portal.kernel.trash;versio
 n="14.0",com.liferay.portal.kernel.upload;version="10.1",com.liferay.
 portal.kernel.util;version="63.0",com.liferay.portal.kernel.webdav;ve
 rsion="10.0",com.liferay.portal.kernel.workflow;version="21.0",com.li
 feray.portal.kernel.xml;version="7.1",com.liferay.portal.kernel.xmlrp
 c;version="6.2",com.liferay.portal.template.react.renderer;version="1
 .1",com.liferay.portal.vulcan.dto.converter;version="4.0",com.liferay
 .social.kernel.model;version="6.1",com.liferay.taglib.servlet;version
 ="3.0",com.liferay.taglib.util;version="14.0",com.liferay.upload;vers
 ion="1.2",javax.portlet,javax.portlet.annotations,javax.servlet,javax
 .servlet.http,javax.servlet.jsp;version="2.3",javax.ws.rs.core;versio
 n="2.1"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Commerce
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: commerce
Liferay-Releng-Suite-Description: This suite is available in the Lifer
 ay bundle.
Liferay-Releng-Suite-Title: Liferay Commerce
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.commerce.product.definitions.web.internal
 .application.list,com.liferay.commerce.product.definitions.web.intern
 al.asset,com.liferay.commerce.product.definitions.web.internal.config
 uration,com.liferay.commerce.product.definitions.web.internal.constan
 ts,com.liferay.commerce.product.definitions.web.internal.custom.attri
 butes,com.liferay.commerce.product.definitions.web.internal.display.c
 ontext,com.liferay.commerce.product.definitions.web.internal.frontend
 .data.set.filter,com.liferay.commerce.product.definitions.web.interna
 l.frontend.data.set.provider,com.liferay.commerce.product.definitions
 .web.internal.frontend.data.set.view.table,com.liferay.commerce.produ
 ct.definitions.web.internal.frontend.taglib.servlet.taglib,com.lifera
 y.commerce.product.definitions.web.internal.model,com.liferay.commerc
 e.product.definitions.web.internal.option,com.liferay.commerce.produc
 t.definitions.web.internal.portlet,com.liferay.commerce.product.defin
 itions.web.internal.portlet.action,com.liferay.commerce.product.defin
 itions.web.internal.scheduler,com.liferay.commerce.product.definition
 s.web.internal.security.permission.resource,com.liferay.commerce.prod
 uct.definitions.web.internal.upload,com.liferay.commerce.product.defi
 nitions.web.internal.util,resource-actions
Provide-Capability: osgi.webresource;osgi.webresource="@liferay/commer
 ce-product-definitions-web";version:Version="7.0.114.hotfix-7050-7413
 ",osgi.service;objectClass:List<String>="com.liferay.application.list
 .PanelApp";uses:="com.liferay.application.list",osgi.service;objectCl
 ass:List<String>="com.liferay.asset.kernel.model.AssetRendererFactory
 ";uses:="com.liferay.asset.kernel.model",osgi.service;objectClass:Lis
 t<String>="com.liferay.commerce.product.definitions.web.internal.uplo
 ad.AttachmentsUploadResponseHandler";uses:="com.liferay.commerce.prod
 uct.definitions.web.internal.upload",osgi.service;objectClass:List<St
 ring>="com.liferay.commerce.product.definitions.web.internal.upload.T
 empAttachmentsUploadFileEntryHandler";uses:="com.liferay.commerce.pro
 duct.definitions.web.internal.upload",osgi.service;objectClass:List<S
 tring>="com.liferay.commerce.product.option.CommerceOptionType";uses:
 ="com.liferay.commerce.product.option",osgi.service;objectClass:List<
 String>="com.liferay.commerce.product.option.CommerceOptionValueHelpe
 r";uses:="com.liferay.commerce.product.option",osgi.service;objectCla
 ss:List<String>="com.liferay.dynamic.data.mapping.data.provider.DDMDa
 taProvider";uses:="com.liferay.dynamic.data.mapping.data.provider",os
 gi.service;objectClass:List<String>="com.liferay.expando.kernel.model
 .CustomAttributesDisplay";uses:="com.liferay.expando.kernel.model",os
 gi.service;objectClass:List<String>="com.liferay.frontend.data.set.fi
 lter.FDSFilter";uses:="com.liferay.frontend.data.set.filter",osgi.ser
 vice;objectClass:List<String>="com.liferay.frontend.data.set.provider
 .FDSActionProvider";uses:="com.liferay.frontend.data.set.provider",os
 gi.service;objectClass:List<String>="com.liferay.frontend.data.set.pr
 ovider.FDSDataProvider";uses:="com.liferay.frontend.data.set.provider
 ",osgi.service;objectClass:List<String>="com.liferay.frontend.data.se
 t.view.FDSView";uses:="com.liferay.frontend.data.set.view",osgi.servi
 ce;objectClass:List<String>="com.liferay.frontend.taglib.servlet.tagl
 ib.ScreenNavigationCategory";uses:="com.liferay.frontend.taglib.servl
 et.taglib",osgi.service;objectClass:List<String>="com.liferay.fronten
 d.taglib.servlet.taglib.ScreenNavigationEntry";uses:="com.liferay.fro
 ntend.taglib.servlet.taglib",osgi.service;objectClass:List<String>="c
 om.liferay.portal.kernel.portlet.PortletProvider";uses:="com.liferay.
 portal.kernel.portlet",osgi.service;objectClass:List<String>="com.lif
 eray.portal.kernel.portlet.bridges.mvc.MVCActionCommand";uses:="com.l
 iferay.portal.kernel.portlet.bridges.mvc",osgi.service;objectClass:Li
 st<String>="com.liferay.portal.kernel.portlet.bridges.mvc.MVCRenderCo
 mmand";uses:="com.liferay.portal.kernel.portlet.bridges.mvc",osgi.ser
 vice;objectClass:List<String>="com.liferay.portal.kernel.scheduler.Sc
 hedulerJobConfiguration";uses:="com.liferay.portal.kernel.scheduler",
 osgi.service;objectClass:List<String>="javax.portlet.Portlet";uses:="
 javax.portlet"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/asset))",osgi.exte
 nder;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld
 /aui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:
 //liferay.com/tld/clay))",osgi.extender;filter:="(&(osgi.extender=jsp
 .taglib)(uri=http://liferay.com/tld/commerce-ui))",osgi.extender;filt
 er:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/expando)
 )",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lif
 eray.com/tld/frontend))",osgi.extender;filter:="(&(osgi.extender=jsp.
 taglib)(uri=http://liferay.com/tld/frontend-data-set))",osgi.extender
 ;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ite
 m-selector))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri
 =http://liferay.com/tld/portlet))",osgi.extender;filter:="(&(osgi.ext
 ender=jsp.taglib)(uri=http://liferay.com/tld/theme))",osgi.extender;f
 ilter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ui))"
 ,osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lifer
 ay.com/tld/util))",osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.account.service.AccountGroupLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.account.s
 ervice.AccountGroupRelLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.commerce.context.CommerceContextFact
 ory)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.commerce.currency.service.CommerceCurrencyLocalService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.commerce.curre
 ncy.util.CommercePriceFormatter)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.commerce.frontend.util.ProductHelper)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.comm
 erce.inventory.CPDefinitionInventoryEngineRegistry)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.commerce.inventory.C
 ommerceInventoryChecker)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.commerce.inventory.engine.CommerceInventoryEngi
 ne)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .commerce.price.CommerceProductPriceCalculation)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.commerce.price.list.ser
 vice.CommercePriceEntryLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.commerce.price.list.service.Commerc
 ePriceEntryService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.commerce.price.list.service.CommercePriceListLocalSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.commerce.product.configuration.CPDefinitionLinkTypeSettings)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.commerc
 e.product.definitions.web.internal.upload.AttachmentsUploadResponseHa
 ndler)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.commerce.product.definitions.web.internal.upload.TempAttachmentsU
 ploadFileEntryHandler)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.commerce.product.option.CommerceOptionTypeRegistr
 y)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 commerce.product.permission.CommerceProductViewPermission)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.commerce.prod
 uct.portlet.action.ActionHelper)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.commerce.product.service.CPAttachmentFi
 leEntryLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.commerce.product.service.CPAttachmentFileEntryServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .commerce.product.service.CPDefinitionLinkLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.commerce.product
 .service.CPDefinitionLinkService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.commerce.product.service.CPDefinitionL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.commerce.product.service.CPDefinitionOptionRelLocalService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.co
 mmerce.product.service.CPDefinitionOptionRelService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.commerce.product.se
 rvice.CPDefinitionOptionValueRelLocalService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.commerce.product.service.C
 PDefinitionOptionValueRelService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.commerce.product.service.CPDefinitionS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.commerce.product.service.CPDefinitionSpecificationOptionValueSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.commerce.product.service.CPDisplayLayoutService)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.commerce.product.ser
 vice.CPInstanceLocalService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.commerce.product.service.CPInstanceOptionVa
 lueRelLocalService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.commerce.product.service.CPInstanceService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.commerce.pr
 oduct.service.CPMeasurementUnitLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.commerce.product.service.CP
 OptionCategoryService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.commerce.product.service.CPSpecificationOptionSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.commerce.product.service.CPTaxCategoryLocalService)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.commerce.product.
 service.CProductLocalService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.commerce.product.service.CommerceCatalogLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.commerce.product.service.CommerceCatalogService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.commerce.produ
 ct.service.CommerceChannelLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.commerce.product.service.Commerc
 eChannelRelService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.commerce.product.service.CommerceChannelService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.commer
 ce.product.type.CPTypeRegistry)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.commerce.product.url.CPFriendlyURL)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.commerc
 e.product.util.CPDefinitionHelper)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.commerce.product.util.CPInstanceHelpe
 r)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 commerce.service.CPDAvailabilityEstimateService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.commerce.service.CPDefi
 nitionInventoryLocalService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.commerce.service.CPDefinitionInventoryServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .commerce.service.CommerceAvailabilityEstimateLocalService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.commerce.sto
 ck.activity.CommerceLowStockActivityRegistry)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.document.library.display.c
 ontext.DLMimeTypeDisplayContext)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.dynamic.data.mapping.form.field.type.DD
 MFormFieldTypeServicesRegistry)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.frontend.data.set.view.table.FDSTableSch
 emaBuilderFactory)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.frontend.js.loader.modules.extender.npm.NPMResolver)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.fro
 ntend.taglib.servlet.taglib.util.JSPRenderer)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.item.selector.ItemSelector
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.i
 tem.selector.ItemSelectorUploadResponseHandler)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.layout.page.template.ser
 vice.LayoutPageTemplateEntryLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.layout.page.template.service.L
 ayoutPageTemplateEntryService)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.json.JSONFactory)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kerne
 l.language.Language)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.model.Portlet)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.kernel.module.conf
 iguration.ConfigurationProvider)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.kernel.security.permission.resou
 rce.ModelResourcePermission)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.security.permission.resource.
 PortletResourcePermission)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.service.GroupLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.service.LayoutLocalService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.kernel.service.WorkflowDefinit
 ionLinkLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.service.permission.GroupPermission)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.service.permission.LayoutPermission)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.kernel.util.File)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.util.Localization)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.util.Portal)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.template.re
 act.renderer.ReactRenderer)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.vulcan.dto.converter.DTOConverter)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.vulcan.dto.converter.DTOConverterRegistry)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.upload.UniqueFileNameProvid
 er)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .upload.UploadHandler)";effective:=active,osgi.service;filter:="(obje
 ctClass=javax.servlet.ServletContext)";effective:=active,osgi.contrac
 t;osgi.contract=JavaPortlet;filter:="(&(osgi.contract=JavaPortlet)(ve
 rsion=3.0.0))",osgi.contract;osgi.contract=JavaServlet;filter:="(&(os
 gi.contract=JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee
 =JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.commerce.product.definitions.w
 eb.internal.application.list.CPDefinitionsPanelApp.xml,OSGI-INF/com.l
 iferay.commerce.product.definitions.web.internal.asset.CPDefinitionAs
 setRendererFactory.xml,OSGI-INF/com.liferay.commerce.product.definiti
 ons.web.internal.asset.CPDefinitionLinkAssetRendererFactory.xml,OSGI-
 INF/com.liferay.commerce.product.definitions.web.internal.custom.attr
 ibutes.CPAttachmentFileEntryCustomAttributesDisplay.xml,OSGI-INF/com.
 liferay.commerce.product.definitions.web.internal.custom.attributes.C
 PDefinitionCustomAttributesDisplay.xml,OSGI-INF/com.liferay.commerce.
 product.definitions.web.internal.custom.attributes.CPDefinitionLinkCu
 stomAttributesDisplay.xml,OSGI-INF/com.liferay.commerce.product.defin
 itions.web.internal.custom.attributes.CPDefinitionOptionRelCustomAttr
 ibutesDisplay.xml,OSGI-INF/com.liferay.commerce.product.definitions.w
 eb.internal.custom.attributes.CPDefinitionOptionValueRelCustomAttribu
 tesDisplay.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.
 internal.custom.attributes.CPDefinitionSpecificationOptionValueCustom
 AttributesDisplay.xml,OSGI-INF/com.liferay.commerce.product.definitio
 ns.web.internal.custom.attributes.CPInstanceCustomAttributesDisplay.x
 ml,OSGI-INF/com.liferay.commerce.product.definitions.web.internal.cus
 tom.attributes.CPSpecificationOptionCustomAttributesDisplay.xml,OSGI-
 INF/com.liferay.commerce.product.definitions.web.internal.frontend.da
 ta.set.filter.AssetCategorySelectionFDSFilter.xml,OSGI-INF/com.lifera
 y.commerce.product.definitions.web.internal.frontend.data.set.filter.
 CommerceCatalogSelectionFDSFilter.xml,OSGI-INF/com.liferay.commerce.p
 roduct.definitions.web.internal.frontend.data.set.filter.CommerceChan
 nelSelectionFDSFilter.xml,OSGI-INF/com.liferay.commerce.product.defin
 itions.web.internal.frontend.data.set.filter.ProductTypeSelectionFDSF
 ilter.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.inter
 nal.frontend.data.set.provider.CommerceProductAccountGroupFDSActionPr
 ovider.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.inte
 rnal.frontend.data.set.provider.CommerceProductAccountGroupFDSDataPro
 vider.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.inter
 nal.frontend.data.set.provider.CommerceProductAttachmentFDSDataProvid
 er.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.internal
 .frontend.data.set.provider.CommerceProductChannelFDSActionProvider.x
 ml,OSGI-INF/com.liferay.commerce.product.definitions.web.internal.fro
 ntend.data.set.provider.CommerceProductChannelFDSDataProvider.xml,OSG
 I-INF/com.liferay.commerce.product.definitions.web.internal.frontend.
 data.set.provider.CommerceProductDefinitionLinkFDSActionProvider.xml,
 OSGI-INF/com.liferay.commerce.product.definitions.web.internal.fronte
 nd.data.set.provider.CommerceProductDefinitionLinkFDSDataProvider.xml
 ,OSGI-INF/com.liferay.commerce.product.definitions.web.internal.front
 end.data.set.provider.CommerceProductDefinitionSpecificationFDSAction
 Provider.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.in
 ternal.frontend.data.set.provider.CommerceProductDefinitionSpecificat
 ionFDSDataProvider.xml,OSGI-INF/com.liferay.commerce.product.definiti
 ons.web.internal.frontend.data.set.provider.CommerceProductDisplayPag
 eFDSActionProvider.xml,OSGI-INF/com.liferay.commerce.product.definiti
 ons.web.internal.frontend.data.set.provider.CommerceProductDisplayPag
 eFDSDataProvider.xml,OSGI-INF/com.liferay.commerce.product.definition
 s.web.internal.frontend.data.set.provider.CommerceProductImageFDSData
 Provider.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.in
 ternal.frontend.data.set.provider.CommerceProductInstanceFDSActionPro
 vider.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.inter
 nal.frontend.data.set.provider.CommerceProductInstanceFDSDataProvider
 .xml,OSGI-INF/com.liferay.commerce.product.definitions.web.internal.f
 rontend.data.set.provider.CommerceProductInstanceOptionsValuesDataPro
 vider.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.inter
 nal.frontend.data.set.provider.CommerceProductMediaFDSActionProvider.
 xml,OSGI-INF/com.liferay.commerce.product.definitions.web.internal.fr
 ontend.data.set.provider.CommerceProductOptionFDSActionProvider.xml,O
 SGI-INF/com.liferay.commerce.product.definitions.web.internal.fronten
 d.data.set.provider.CommerceProductOptionFDSDataProvider.xml,OSGI-INF
 /com.liferay.commerce.product.definitions.web.internal.frontend.data.
 set.provider.CommerceProductOptionValueFDSActionProvider.xml,OSGI-INF
 /com.liferay.commerce.product.definitions.web.internal.frontend.data.
 set.provider.CommerceProductOptionValueFDSDataProvider.xml,OSGI-INF/c
 om.liferay.commerce.product.definitions.web.internal.frontend.data.se
 t.view.table.AllSkusTableFDSView.xml,OSGI-INF/com.liferay.commerce.pr
 oduct.definitions.web.internal.frontend.data.set.view.table.CommerceP
 roductChannelTableFDSView.xml,OSGI-INF/com.liferay.commerce.product.d
 efinitions.web.internal.frontend.data.set.view.table.CommerceProductD
 efinitionLinkTableFDSView.xml,OSGI-INF/com.liferay.commerce.product.d
 efinitions.web.internal.frontend.data.set.view.table.CommerceProductD
 efinitionSpecificationTableFDSView.xml,OSGI-INF/com.liferay.commerce.
 product.definitions.web.internal.frontend.data.set.view.table.Commerc
 eProductDefinitionTableFDSView.xml,OSGI-INF/com.liferay.commerce.prod
 uct.definitions.web.internal.frontend.data.set.view.table.CommercePro
 ductDisplayPageTableFDSView.xml,OSGI-INF/com.liferay.commerce.product
 .definitions.web.internal.frontend.data.set.view.table.CommerceProduc
 tInstanceTableFDSView.xml,OSGI-INF/com.liferay.commerce.product.defin
 itions.web.internal.frontend.data.set.view.table.CommerceProductMedia
 TableFDSView.xml,OSGI-INF/com.liferay.commerce.product.definitions.we
 b.internal.frontend.data.set.view.table.CommerceProductOptionTableFDS
 View.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.intern
 al.frontend.data.set.view.table.CommerceProductOptionValueStaticTable
 FDSView.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.int
 ernal.frontend.data.set.view.table.CommerceProductOptionValueTableFDS
 View.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.intern
 al.frontend.taglib.servlet.taglib.CPDefinitionAttachmentsScreenNaviga
 tionCategory.xml,OSGI-INF/com.liferay.commerce.product.definitions.we
 b.internal.frontend.taglib.servlet.taglib.CPDefinitionAttachmentsScre
 enNavigationEntry.xml,OSGI-INF/com.liferay.commerce.product.definitio
 ns.web.internal.frontend.taglib.servlet.taglib.CPDefinitionConfigurat
 ionScreenNavigationCategory.xml,OSGI-INF/com.liferay.commerce.product
 .definitions.web.internal.frontend.taglib.servlet.taglib.CPDefinition
 ConfigurationScreenNavigationEntry.xml,OSGI-INF/com.liferay.commerce.
 product.definitions.web.internal.frontend.taglib.servlet.taglib.CPDef
 initionDetailsScreenNavigationCategory.xml,OSGI-INF/com.liferay.comme
 rce.product.definitions.web.internal.frontend.taglib.servlet.taglib.C
 PDefinitionDetailsScreenNavigationEntry.xml,OSGI-INF/com.liferay.comm
 erce.product.definitions.web.internal.frontend.taglib.servlet.taglib.
 CPDefinitionInstancesScreenNavigationCategory.xml,OSGI-INF/com.lifera
 y.commerce.product.definitions.web.internal.frontend.taglib.servlet.t
 aglib.CPDefinitionInstancesScreenNavigationEntry.xml,OSGI-INF/com.lif
 eray.commerce.product.definitions.web.internal.frontend.taglib.servle
 t.taglib.CPDefinitionOptionsScreenNavigationCategory.xml,OSGI-INF/com
 .liferay.commerce.product.definitions.web.internal.frontend.taglib.se
 rvlet.taglib.CPDefinitionOptionsScreenNavigationEntry.xml,OSGI-INF/co
 m.liferay.commerce.product.definitions.web.internal.frontend.taglib.s
 ervlet.taglib.CPDefinitionProductRelationsScreenNavigationCategory.xm
 l,OSGI-INF/com.liferay.commerce.product.definitions.web.internal.fron
 tend.taglib.servlet.taglib.CPDefinitionProductRelationsScreenNavigati
 onEntry.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.int
 ernal.frontend.taglib.servlet.taglib.CPDefinitionVisibilityScreenNavi
 gationCategory.xml,OSGI-INF/com.liferay.commerce.product.definitions.
 web.internal.frontend.taglib.servlet.taglib.CPDefinitionVisibilityScr
 eenNavigationEntry.xml,OSGI-INF/com.liferay.commerce.product.definiti
 ons.web.internal.frontend.taglib.servlet.taglib.CPInstanceDetailsScre
 enNavigationCategory.xml,OSGI-INF/com.liferay.commerce.product.defini
 tions.web.internal.frontend.taglib.servlet.taglib.CPInstanceDetailsSc
 reenNavigationEntry.xml,OSGI-INF/com.liferay.commerce.product.definit
 ions.web.internal.frontend.taglib.servlet.taglib.CommerceChannelProdu
 ctDisplayLayoutsScreenNavigationCategory.xml,OSGI-INF/com.liferay.com
 merce.product.definitions.web.internal.frontend.taglib.servlet.taglib
 .CommerceChannelProductDisplayLayoutsScreenNavigationEntry.xml,OSGI-I
 NF/com.liferay.commerce.product.definitions.web.internal.frontend.tag
 lib.servlet.taglib.LayoutCPDefinitionDisplayLayoutSelectionScreenNavi
 gationCategory.xml,OSGI-INF/com.liferay.commerce.product.definitions.
 web.internal.frontend.taglib.servlet.taglib.LayoutCPDefinitionDisplay
 LayoutSelectionScreenNavigationEntry.xml,OSGI-INF/com.liferay.commerc
 e.product.definitions.web.internal.frontend.taglib.servlet.taglib.Lay
 outPageTemplateEntryCPDefinitionDisplayLayoutSelectionScreenNavigatio
 nCategory.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.i
 nternal.frontend.taglib.servlet.taglib.LayoutPageTemplateEntryCPDefin
 itionDisplayLayoutSelectionScreenNavigationEntry.xml,OSGI-INF/com.lif
 eray.commerce.product.definitions.web.internal.option.CheckboxCommerc
 eOptionTypeImpl.xml,OSGI-INF/com.liferay.commerce.product.definitions
 .web.internal.option.CheckboxMultipleCommerceOptionTypeImpl.xml,OSGI-
 INF/com.liferay.commerce.product.definitions.web.internal.option.Comm
 erceOptionValueHelperImpl.xml,OSGI-INF/com.liferay.commerce.product.d
 efinitions.web.internal.option.DateCommerceOptionTypeImpl.xml,OSGI-IN
 F/com.liferay.commerce.product.definitions.web.internal.option.Numeri
 cCommerceOptionTypeImpl.xml,OSGI-INF/com.liferay.commerce.product.def
 initions.web.internal.option.RadioCommerceOptionTypeImpl.xml,OSGI-INF
 /com.liferay.commerce.product.definitions.web.internal.option.SelectC
 ommerceOptionTypeImpl.xml,OSGI-INF/com.liferay.commerce.product.defin
 itions.web.internal.option.TextCommerceOptionTypeImpl.xml,OSGI-INF/co
 m.liferay.commerce.product.definitions.web.internal.portlet.CPDefinit
 ionsPortlet.xml,OSGI-INF/com.liferay.commerce.product.definitions.web
 .internal.portlet.CPDefinitionsPortletProvider.xml,OSGI-INF/com.lifer
 ay.commerce.product.definitions.web.internal.portlet.action.AddCPDefi
 nitionMVCRenderCommand.xml,OSGI-INF/com.liferay.commerce.product.defi
 nitions.web.internal.portlet.action.DuplicateCPDefinitionMVCRenderCom
 mand.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.intern
 al.portlet.action.EditCPAttachmentFileEntryMVCActionCommand.xml,OSGI-
 INF/com.liferay.commerce.product.definitions.web.internal.portlet.act
 ion.EditCPAttachmentFileEntryMVCRenderCommand.xml,OSGI-INF/com.lifera
 y.commerce.product.definitions.web.internal.portlet.action.EditCPDefi
 nitionCPDisplayLayoutMVCActionCommand.xml,OSGI-INF/com.liferay.commer
 ce.product.definitions.web.internal.portlet.action.EditCPDefinitionCP
 DisplayLayoutMVCRenderCommand.xml,OSGI-INF/com.liferay.commerce.produ
 ct.definitions.web.internal.portlet.action.EditCPDefinitionLinkMVCAct
 ionCommand.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.
 internal.portlet.action.EditCPDefinitionLinkMVCRenderCommand.xml,OSGI
 -INF/com.liferay.commerce.product.definitions.web.internal.portlet.ac
 tion.EditCPDefinitionMVCActionCommand.xml,OSGI-INF/com.liferay.commer
 ce.product.definitions.web.internal.portlet.action.EditCPDefinitionMV
 CRenderCommand.xml,OSGI-INF/com.liferay.commerce.product.definitions.
 web.internal.portlet.action.EditCPDefinitionOptionRelMVCActionCommand
 .xml,OSGI-INF/com.liferay.commerce.product.definitions.web.internal.p
 ortlet.action.EditCPDefinitionOptionRelMVCRenderCommand.xml,OSGI-INF/
 com.liferay.commerce.product.definitions.web.internal.portlet.action.
 EditCPDefinitionOptionValueRelMVCActionCommand.xml,OSGI-INF/com.lifer
 ay.commerce.product.definitions.web.internal.portlet.action.EditCPDef
 initionOptionValueRelMVCRenderCommand.xml,OSGI-INF/com.liferay.commer
 ce.product.definitions.web.internal.portlet.action.EditCPDefinitionSp
 ecificationOptionValueMVCActionCommand.xml,OSGI-INF/com.liferay.comme
 rce.product.definitions.web.internal.portlet.action.EditCPDefinitionS
 pecificationOptionValueMVCRenderCommand.xml,OSGI-INF/com.liferay.comm
 erce.product.definitions.web.internal.portlet.action.EditCPInstanceMV
 CActionCommand.xml,OSGI-INF/com.liferay.commerce.product.definitions.
 web.internal.portlet.action.EditCPInstanceMVCRenderCommand.xml,OSGI-I
 NF/com.liferay.commerce.product.definitions.web.internal.portlet.acti
 on.EditCProductExternalReferenceCodeMVCActionCommand.xml,OSGI-INF/com
 .liferay.commerce.product.definitions.web.internal.portlet.action.Edi
 tCProductExternalReferenceCodeMVCRenderCommand.xml,OSGI-INF/com.lifer
 ay.commerce.product.definitions.web.internal.portlet.action.UploadTem
 pAttachmentMVCActionCommand.xml,OSGI-INF/com.liferay.commerce.product
 .definitions.web.internal.portlet.action.ViewCPInstancesMVCRenderComm
 and.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.interna
 l.scheduler.CheckCPAttachmentFileEntrySchedulerJobConfiguration.xml,O
 SGI-INF/com.liferay.commerce.product.definitions.web.internal.schedul
 er.CheckCPDefinitionLinkSchedulerJobConfiguration.xml,OSGI-INF/com.li
 feray.commerce.product.definitions.web.internal.scheduler.CheckCPDefi
 nitionSchedulerJobConfiguration.xml,OSGI-INF/com.liferay.commerce.pro
 duct.definitions.web.internal.scheduler.CheckCPInstanceSchedulerJobCo
 nfiguration.xml,OSGI-INF/com.liferay.commerce.product.definitions.web
 .internal.upload.AttachmentsUploadResponseHandler.xml,OSGI-INF/com.li
 feray.commerce.product.definitions.web.internal.upload.TempAttachment
 sUploadFileEntryHandler.xml
Tool: Bnd-5.3.0.202102221516
Web-ContextPath: /commerce-product-definitions-web

